package com.dxhy.core.job.entity;

import java.util.Date;

import com.dxhy.core.job.pojo.BasePojo;

/**
 * @author user
 */
public class State extends BasePojo {

    private static final long serialVersionUID = -7944750189078740895L;

    private String invoiceCode;

    private String invoiceNo;

    /**
     *     发票状态 0-正常 1-失控 2-作废 3-红冲  80-红字发票待确认  7-已部分冲红  8-已全额冲红
     */
    private String invoiceStatus;
    /**
     * 认证状态 0 -未认证  1-已认证；
     */
    private String legalizeState;

    /**
     * 认证时间
     */
    private Date legalizeDate;
    /**
     * 税款归属期
     */
    private String legalizeBelongDate;
    /**
     * 认证处理状态 0-未认证 1-已勾选未确认，2已确认 3 已发送认证 4 认证成功 5 认证失败
     */
    private String authStatus;
    /**
     * 认证方式 1-勾选认证 2-扫描认证
     */
    private String legalizeType;
    /**
     * 认证类型(1-抵扣 2-退税 3-代理退税4-不抵扣 5-撤销认证 6-撤销不抵扣发票已认证、已勾选有该标签）
     */
    private Integer legalizeLx;

    private Date zttime;
    /**
     * 信息来源 0扫描认证  1系统推送 2出口转内销 3异常凭证转入
     */
    private String xxly;
    /**
     * 逾期可勾选标志 0默认值，1可勾选逾期
     */
    private String yqkgxbz;
    /**
     * 管理状态 0 正常  1 异常 2疑似非正常
     */
    private String glzt;
    /**
     * 有效税额 XXLY=3时不为空，勾选金额不能大于抵扣税额
     */
    private String yxse;
    /**
     * 不抵扣状态 0-默认值 1-认证抵扣 2-认证不抵扣
     */
    private String bdkStatus;
    /**
     * 不抵扣原因 1-用于非应税项目2-用于免税项目3-用于集体福利或者个人消费4-遭受非正常损失5-其他
     */
    private String bdkMessage;


    public String getBdkMessage() {
        return bdkMessage;
    }

    public void setBdkMessage(String bdkMessage) {
        this.bdkMessage = bdkMessage;
    }

    public String getBdkStatus() {
        return bdkStatus;
    }

    public void setBdkStatus(String bdkStatus) {
        this.bdkStatus = bdkStatus;
    }

    public String getInvoiceCode() {
        return invoiceCode;
    }

    public void setInvoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode;
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public Date getLegalizeDate() {
        return legalizeDate;
    }

    public void setLegalizeDate(Date legalizeDate) {
        this.legalizeDate = legalizeDate;
    }

    public String getInvoiceStatus() {
        return invoiceStatus;
    }

    public void setInvoiceStatus(String invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }

    public String getLegalizeState() {
        return legalizeState;
    }

    public void setLegalizeState(String legalizeState) {
        this.legalizeState = legalizeState;
    }

    public String getLegalizeBelongDate() {
        return legalizeBelongDate;
    }

    public void setLegalizeBelongDate(String legalizeBelongDate) {
        this.legalizeBelongDate = legalizeBelongDate;
    }

    public String getLegalizeType() {
        return legalizeType;
    }

    public void setLegalizeType(String legalizeType) {
        this.legalizeType = legalizeType;
    }

    @Override
    public String toString() {
        return "State [invoiceCode=" + invoiceCode + ", invoiceNo=" + invoiceNo + ", invoiceStatus=" + invoiceStatus
            + ", legalizeState=" + legalizeState + ", legalizeDate=" + legalizeDate + ", legalizeBelongDate="
            + legalizeBelongDate + "]";
    }

    public String getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(String authStatus) {
        this.authStatus = authStatus;
    }

    public Integer getLegalizeLx() {
        return legalizeLx;
    }

    public void setLegalizeLx(Integer legalizeLx) {
        this.legalizeLx = legalizeLx;
    }

    public Date getZttime() {
        return zttime;
    }

    public void setZttime(Date zttime) {
        this.zttime = zttime;
    }

    public String getXxly() {
        return xxly;
    }

    public void setXxly(String xxly) {
        this.xxly = xxly;
    }

    public String getYqkgxbz() {
        return yqkgxbz;
    }

    public void setYqkgxbz(String yqkgxbz) {
        this.yqkgxbz = yqkgxbz;
    }

    public String getGlzt() {
        return glzt;
    }

    public void setGlzt(String glzt) {
        this.glzt = glzt;
    }

    public String getYxse() {
        return yxse;
    }

    public void setYxse(String yxse) {
        this.yxse = yxse;
    }

}
